Eclipse Rich Ajax Platform

## org.eclipse.rwt.branding
Class Header

    java.lang.Object
      org.eclipse.rwt.branding.Header

    public final class Header

extends java.lang.Object

This data structure represents an HTML tag that goes into the <head> section of the startup page and is used by the branding facility.

Since:
  1.0.1
See Also:
  `AbstractBranding`

Constructor Summary
`Header(java.lang.String tagName, java.util.Map<java.lang.String,java.lang.String> attributes)` Constructs a new instance of this class with the given `tagName`.
`Header(java.lang.String tagName, java.lang.String[] attributeNames, java.lang.String[] attributeValues)` Constructs a new instance of this class with the given `tagName`.

Method Summary
`java.lang.String[]` `getNames()` Returns the array of attribute names.
`java.lang.String` `getTagName()` Returns the name of the header tag.
`java.lang.String[]` `getValues()` Returns the array of attribute values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Header

    public Header(java.lang.String tagName,
                  java.util.Map<java.lang.String,java.lang.String> attributes)

  Constructs a new instance of this class with the given `tagName`.

  Parameters:
    `tagName` - the name of the tag, must either be `meta` or `link`
    `attributes` - the attributes for this tag or `null` if there are no attributes.
  Throws:
    `java.lang.IllegalArgumentException` - if `tagName` isn't either `meta` or `link`.

### Header

    public Header(java.lang.String tagName,
                  java.lang.String[] attributeNames,
                  java.lang.String[] attributeValues)

  Constructs a new instance of this class with the given `tagName`.

  Parameters:
    `tagName` - the name of the tag, must either be `meta` or `link`
    `attributeNames` - the attribute names for this tag. Must not be `null`.
    `attributeValues` - the attribute values for this tag. Must match the attribute names given in argument `attributeNames`
  Throws:
    `java.lang.IllegalArgumentException` - if `tagName` isn't either `meta` or `link`.

Method Detail

### getTagName

    public java.lang.String getTagName()

  Returns the name of the header tag.

  Returns:
    the tag name

### getNames

    public java.lang.String[] getNames()

  Returns the array of attribute names. If no attributes are defined, an empty array is returned.

  Note: This is not the actual structure used by the receiver to maintain its list of names, so modifying the array will not affect the receiver.

  Returns:
    the attribute names

### getValues

    public java.lang.String[] getValues()

  Returns the array of attribute values. If no attributes are defined, an empty array is returned.

  Note: This is not the actual structure used by the receiver to maintain its list of values, so modifying the array will not affect the receiver.

  Returns:
    the attribute values

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.